Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.proto.jeditresource
Class PluginResURLConnection

    java.lang.Object
      java.net.URLConnection
          org.gjt.sp.jedit.proto.jeditresource.PluginResURLConnection

    public class PluginResURLConnection

extends java.net.URLConnection

Field Summary

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`PluginResURLConnection(java.net.URL url)`

Method Summary
`void` | `connect()`
`java.lang.String` | `getHeaderField(java.lang.String name)`
`java.io.InputStream` | `getInputStream()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginResURLConnection

    public PluginResURLConnection(java.net.URL url)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

  Specified by:
    `connect` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String name)

  Overrides:
    `getHeaderField` in class `java.net.URLConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD